Bug 1706153 - python-Pympler FTBFS with python 3.8
Summary: python-Pympler FTBFS with python 3.8
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-Pympler
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38 F32FTBFS F32FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-05-03 16:41 UTC by Patrik Kopkan
Modified: 2019-09-12 11:36 UTC (History)
2 users (show)

Fixed In Version: python-Pympler-0.7-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-12 11:36:17 UTC


Attachments (Terms of Use)
Copr build log (135.76 KB, text/plain)
2019-05-03 16:41 UTC, Patrik Kopkan
no flags Details

Description Patrik Kopkan 2019-05-03 16:41:51 UTC
Created attachment 1562604 [details]
Copr build log

python-Pympler-0.6-2 fails to build with python3.8. because unicode-literal was removed from python. https://bugs.python.org/issue36297

output from %check:

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.qWAW4u
+ umask 022
+ cd /builddir/build/BUILD
+ cd Pympler-0.6
+ PYTHONPATH=/builddir/build/BUILDROOT/python-Pympler-0.6-2.fc31.x86_64/usr/lib/python3.8/site-packages
+ /usr/bin/python3 setup.py test
running test
/usr/bin/python3 test/runtest.py -post-install -verbose 3
Python 3.8.0a3 (default, Mar 27 2019, 11:02:53) 
64-bit [GCC 9.0.1 20190320 (Red Hat 9.0.1-0.11)]

Traceback (most recent call last):
  File "test/runtest.py", line 136, in <module>
    tst, all = suite(dirs, clean=clean, pre=pre, verbose=verbose)
  File "test/runtest.py", line 70, in suite
    mod = __import__(test, globals(), locals(), [mod])
  File "/builddir/build/BUILD/Pympler-0.6/test/muppy/test_tracker.py", line 7, in <module>
    from pympler import summary, tracker
  File "/builddir/build/BUILDROOT/python-Pympler-0.6-2.fc31.x86_64/usr/lib/python3.8/site-packages/pympler/tracker.py", line 15, in <module>
    from pympler import muppy, summary
  File "/builddir/build/BUILDROOT/python-Pympler-0.6-2.fc31.x86_64/usr/lib/python3.8/site-packages/pympler/muppy.py", line 10, in <module>
    from pympler.asizeof import _Py_TPFLAGS_HAVE_GC
  File "/builddir/build/BUILDROOT/python-Pympler-0.6-2.fc31.x86_64/usr/lib/python3.8/site-packages/pympler/asizeof.py", line 258, in <module>
    u = u.encode('unicode-internal')  # see .../Lib/test/test_sys.py
LookupError: unknown encoding: unicode-internal
error: Bad exit status from /var/tmp/rpm-tmp.qWAW4u (%check)
    Bad exit status from /var/tmp/rpm-tmp.qWAW4u (%check)

Comment 1 Miro Hrončok 2019-07-10 10:44:11 UTC
Dominik?

BTW the unicode-internal encoding is indeed gone.

Comment 2 Ben Cotton 2019-08-13 17:00:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2019-08-13 19:04:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 4 Miro Hrončok 2019-08-14 22:24:47 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 5 Miro Hrončok 2019-08-21 16:35:33 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 6 Miro Hrončok 2019-08-21 17:29:31 UTC
(Python 3.8 has landed in the rawhide buildroot.)

Comment 7 Dominik 'Rathann' Mierzejewski 2019-09-12 11:36:17 UTC
0.7 builds with one test failing. Filed a report upstream (https://github.com/pympler/pympler/issues/102).


Note You need to log in before you can comment on or make changes to this bug.